No dictionaries present in Seamonkey

Bug #646632 reported by jan on 2010-09-24
28
This bug affects 1 person
Affects Status Importance Assigned to Milestone
seamonkey (Ubuntu)
Medium
Chris Coulson
Hardy
High
Chris Coulson
Jaunty
Medium
Chris Coulson
Karmic
High
Chris Coulson
Lucid
Medium
Chris Coulson
Maverick
Medium
Chris Coulson

Bug Description

Binary package hint: seamonkey

All language dictionaries disappeared with the recent seamonkey upgrade (1.x -> 2.0.8) in the current jaunty update.

Even worse, the dutch spell checking add-on does not even install anymore
https://addons.mozilla.org/en-US/seamonkey/addon/3291/reviews/

Thus I cannot spell-check in dutch anymore after this upgrade.

jan (jan-ubuntu-h-i-s) wrote :

Also, the dictionaries from aspell that are still installed
  sudo apt-get install aspell aspell-nl myspell-nl
are not found by seamonkey-2.0.8 after the upgrade.

Chris Coulson (chrisccoulson) wrote :

Ok, I can see what has happened here

Changed in seamonkey (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in seamonkey (Ubuntu Maverick):
importance: High → Medium
Changed in seamonkey (Ubuntu Lucid):
importance: Undecided → Medium
Changed in seamonkey (Ubuntu Karmic):
importance: Undecided → High
Changed in seamonkey (Ubuntu Jaunty):
importance: Undecided → Medium
Changed in seamonkey (Ubuntu Hardy):
importance: Undecided → High
Changed in seamonkey (Ubuntu Karmic):
status: New → Triaged
Changed in seamonkey (Ubuntu Jaunty):
status: New → Triaged
Changed in seamonkey (Ubuntu Lucid):
status: New → Triaged
Changed in seamonkey (Ubuntu Hardy):
assignee: nobody → Chris Coulson (chrisccoulson)
status: New → Triaged
Changed in seamonkey (Ubuntu Jaunty):
assignee: nobody → Chris Coulson (chrisccoulson)
Changed in seamonkey (Ubuntu Karmic):
assignee: nobody → Chris Coulson (chrisccoulson)
Changed in seamonkey (Ubuntu Lucid):
assignee: nobody → Chris Coulson (chrisccoulson)
Changed in seamonkey (Ubuntu Maverick):
assignee: nobody → Chris Coulson (chrisccoulson)
summary: - dictionaries disappeared with jaunty seamonkey upgrade
+ No dictionaries present in Seamonkey
Changed in seamonkey (Ubuntu Maverick):
status: Triaged → Fix Committed
Changed in seamonkey (Ubuntu Lucid):
status: Triaged → Fix Committed
Changed in seamonkey (Ubuntu Karmic):
status: Triaged → Fix Committed
Changed in seamonkey (Ubuntu Jaunty):
status: Triaged → Fix Committed
Changed in seamonkey (Ubuntu Hardy):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seamonkey - 2.0.8+build1+nobinonly-0ubuntu2

---------------
seamonkey (2.0.8+build1+nobinonly-0ubuntu2) maverick; urgency=low

  [ Chris Coulson <email address hidden> ]
  * Fix LP: #646632 - No dictionaries present in Seamonkey. Ship a
    symlink to the system dictionaries and add the necessary postinst
    magic to fix current 2.0.8 users
    - update debian/seamonkey-browser.postinst
    - update debian/rules
    - update debian/seamonkey-browser.install

  [ Mathieu Trudel-Lapierre <email address hidden> ]
  * Fix LP: #575160 - Apply patch set from Debian iceape to fix RenderBadPicture
    errors: properly walk through child windows as a window is destroyed.
    - update debian/patches/series
    - add debian/patches/lp575160_destroy_child_windows.patch
 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 30 Sep 2010 18:12:01 -0400

Changed in seamonkey (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seamonkey - 2.0.9+build1+nobinonly-0ubuntu0.8.04.1

---------------
seamonkey (2.0.9+build1+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v2.0.9 (SEAMONKEY_2_0_9_BUILD1)
  * SECURITY UPDATE:
    - http://www.mozilla.org/security/known-vulnerabilities/seamonkey20.html#seamonkey2.0.9

  * Bump minimum system NSS to 3.12.8 after landing of (bmo: 600104) aka
    Bump minimum required version for system NSS to 3.12.8
    - update debian/rules
  * Bump minimum system NSPR to 4.8.6 after landing of (bmo: 567620) aka
    Bump minimum required version for system NSPR to 4.8.6
    - update debian/rules
  * Fix LP: #646632 - No dictionaries present in Seamonkey. Ship a
    symlink to the system dictionaries
    - update debian/rules
    - update debian/seamonkey-browser.install
  * Fix LP: #643047 - Don't touch $LIBDIR/.autoreg from the seamonkey
    postinst script. The seamonkey package is just a meta-package, and
    the file is shipped by seamonkey-browser. Changing this ensures that
    seamonkey doesn't fail to configure if there is version skew during
    upgrades, and avoids the need for having tight dependencies
    - update debian/rules
    - remove debian/seamonkey.postinst.in
    - remove debian/seamonkey.prerm.in
 -- Chris Coulson <email address hidden> Tue, 05 Oct 2010 01:18:52 +0100

Changed in seamonkey (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seamonkey - 2.0.9+build1+nobinonly-0ubuntu0.9.04.1

---------------
seamonkey (2.0.9+build1+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v2.0.9 (SEAMONKEY_2_0_9_BUILD1)
  * SECURITY UPDATE:
    - http://www.mozilla.org/security/known-vulnerabilities/seamonkey20.html#seamonkey2.0.9

  * Bump minimum system NSS to 3.12.8 after landing of (bmo: 600104) aka
    Bump minimum required version for system NSS to 3.12.8
    - update debian/rules
  * Bump minimum system NSPR to 4.8.6 after landing of (bmo: 567620) aka
    Bump minimum required version for system NSPR to 4.8.6
    - update debian/rules
  * Fix LP: #646632 - No dictionaries present in Seamonkey. Ship a
    symlink to the system dictionaries
    - update debian/rules
    - update debian/seamonkey-browser.install
  * Fix LP: #643047 - Don't touch $LIBDIR/.autoreg from the seamonkey
    postinst script. The seamonkey package is just a meta-package, and
    the file is shipped by seamonkey-browser. Changing this ensures that
    seamonkey doesn't fail to configure if there is version skew during
    upgrades, and avoids the need for having tight dependencies
    - update debian/rules
    - remove debian/seamonkey.postinst.in
    - remove debian/seamonkey.prerm.in
 -- Chris Coulson <email address hidden> Tue, 05 Oct 2010 01:17:22 +0100

Changed in seamonkey (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seamonkey - 2.0.9+build1+nobinonly-0ubuntu0.9.10.1

---------------
seamonkey (2.0.9+build1+nobinonly-0ubuntu0.9.10.1) karmic-security; urgency=low

  * New upstream release v2.0.9 (SEAMONKEY_2_0_9_BUILD1)
  * SECURITY UPDATE:
    - http://www.mozilla.org/security/known-vulnerabilities/seamonkey20.html#seamonkey2.0.9

  * Bump minimum system NSS to 3.12.8 after landing of (bmo: 600104) aka
    Bump minimum required version for system NSS to 3.12.8
    - update debian/rules
  * Bump minimum system NSPR to 4.8.6 after landing of (bmo: 567620) aka
    Bump minimum required version for system NSPR to 4.8.6
    - update debian/rules
  * Fix LP: #646632 - No dictionaries present in Seamonkey. Ship a
    symlink to the system dictionaries
    - update debian/rules
    - update debian/seamonkey-browser.install
  * Fix LP: #643047 - Don't touch $LIBDIR/.autoreg from the seamonkey
    postinst script. The seamonkey package is just a meta-package, and
    the file is shipped by seamonkey-browser. Changing this ensures that
    seamonkey doesn't fail to configure if there is version skew during
    upgrades, and avoids the need for having tight dependencies
    - update debian/rules
    - remove debian/seamonkey.postinst.in
    - remove debian/seamonkey.prerm.in
 -- Chris Coulson <email address hidden> Tue, 05 Oct 2010 01:15:57 +0100

Changed in seamonkey (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seamonkey - 2.0.9+build1+nobinonly-0ubuntu0.10.04.1

---------------
seamonkey (2.0.9+build1+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v2.0.9 (SEAMONKEY_2_0_9_BUILD1)
  * SECURITY UPDATE:
    - http://www.mozilla.org/security/known-vulnerabilities/seamonkey20.html#seamonkey2.0.9

  * Bump minimum system NSS to 3.12.8 after landing of (bmo: 600104) aka
    Bump minimum required version for system NSS to 3.12.8
    - update debian/rules
  * Bump minimum system NSPR to 4.8.6 after landing of (bmo: 567620) aka
    Bump minimum required version for system NSPR to 4.8.6
    - update debian/rules
  * Fix LP: #646632 - No dictionaries present in Seamonkey. Ship a
    symlink to the system dictionaries
    - update debian/rules
    - update debian/seamonkey-browser.install
  * Fix LP: #643047 - Don't touch $LIBDIR/.autoreg from the seamonkey
    postinst script. The seamonkey package is just a meta-package, and
    the file is shipped by seamonkey-browser. Changing this ensures that
    seamonkey doesn't fail to configure if there is version skew during
    upgrades, and avoids the need for having tight dependencies
    - update debian/rules
    - remove debian/seamonkey.postinst.in
    - remove debian/seamonkey.prerm.in
 -- Chris Coulson <email address hidden> Tue, 05 Oct 2010 01:13:10 +0100

Changed in seamonkey (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers